<?
function printpriem($prinfo,$myinfo,$n) {
global $harnames,$all,$showcat;

#1
echo "
";
$check1=$prinfo->check_hars($myinfo,0);

if (!in_array($prinfo->priem,array('counter_winddance','parry_prediction','hit_strong','block_activeshield','krit_wildluck','multi_hiddenpower','hit_luck'))) {
$check12=false;
}else {$check12=true;}
if ($n==0) {
	echo "<A HREF='/main.php?clear_abil=".$prinfo->priem."&all=".$all.($showcat?'&show_cat='.$showcat:'')."&r=".rand(0,50000000)."&all=".(0+$all).($showcat?'&show_cat='.$showcat:'')."'><IMG style=\"cursor:hand\" ";
}elseif ($n==1 && $check1) {
	echo "<A HREF='/main.php?set_abil=".$prinfo->priem."&all=".(0+$all).($showcat?'&show_cat='.$showcat:'')."&r=".rand(0,50000000)."'><IMG style=\"cursor:hand\" ";
}elseif(($n==1 && !$check1) OR $n==2 or ($n==0 && !$check1)) {
	echo"<IMG style=\"filter:gray(), Alpha(Opacity='70');\" ";
}
if (($n==1 or $n==0) && !$check12) {
echo "style=\"filter:gray(), Alpha(Opacity='70');\"";
}
		echo "width=40 height=25 src='../i/misc/icons/".$prinfo->priem.".gif'
			onmouseout='hideshow();' onmouseover='fastshow(\"<B>".$prinfo->name."</B><BR>";
		if ($prinfo->n_hit) {echo "<IMG width=7 height=8 src=../i/misc/micro/hit.gif> ".
					$prinfo->n_hit."&nbsp;&nbsp; ";
					}
		if ($prinfo->n_counter) {echo"<IMG width=7 height=8 src=../i/misc/micro/counter.gif> ".$prinfo->n_counter."&nbsp;&nbsp; ";}
		if ($prinfo->n_parry) {echo"<IMG width=7 height=8 src=../i/misc/micro/parry.gif> ".$prinfo->n_parry."&nbsp;&nbsp; ";}
		if ($prinfo->n_krit) {echo"<IMG width=7 height=8 src=../i/misc/micro/krit.gif> ".$prinfo->n_krit."&nbsp;&nbsp; ";}
		if ($prinfo->n_block) {echo"<IMG width=7 height=8 src=../i/misc/micro/block.gif> ".$prinfo->n_block."&nbsp;&nbsp; ";}
		if ($prinfo->n_hp) {echo"<IMG width=7 height=8 src=../i/misc/micro/hp.gif> ".$prinfo->n_hp."&nbsp;&nbsp; ";}
		echo "<BR>";
		if ($prinfo->sduh) {echo"Сила духа: ".$prinfo->sduh."<BR>";
		}elseif ($prinfo->sduh_proc) {echo"Сила духа: ".$prinfo->sduh_proc."%<BR>";}
		if ($prinfo->mana) {echo"Расход маны: ".$prinfo->mana."<BR>";}
		if ($prinfo->wait) {echo"Задержка: ".$prinfo->wait."<BR>";}
		if ($prinfo->hod) {echo"&bull; Прием тратит ход<BR>";	}
		if ($prinfo->minlevel OR $prinfo->intel OR 
		$prinfo->minhp OR $prinfo->m_magic1 OR $prinfo->m_magic2
		OR $prinfo->m_magic3 OR $prinfo->m_magic4 OR $prinfo->m_magic6) {
			echo "<BR><B>Минимальные требования:</B><BR>";
			if ($prinfo->intel) {
				echo ($prinfo->intel>$myinfo->hars['intel']?"<font color=red>":"").
				"Интеллект: ".$prinfo->intel."<BR>".
				($prinfo->intel>$myinfo->hars['intel']?"</font>":"");
			}
			if ($prinfo->m_magic1) {
				echo ($prinfo->m_magic1>$myinfo->hars['m_magic1']?"<font color=red>":"").
				$harnames['m_magic1'].": ".$prinfo->m_magic1."<BR>".
				($prinfo->m_magic1>$myinfo->hars['m_magic1']?"</font>":"");
			}
			if ($prinfo->m_magic2) {
				echo ($prinfo->m_magic2>$myinfo->hars['m_magic2']?"<font color=red>":"").
				$harnames['m_magic2'].": ".$prinfo->m_magic2."<BR>".
				($prinfo->m_magic2>$myinfo->hars['m_magic2']?"</font>":"");
			}
			if ($prinfo->m_magic3) {
				echo ($prinfo->m_magic3>$myinfo->hars['m_magic3']?"<font color=red>":"").
				$harnames['m_magic3'].": ".$prinfo->m_magic3."<BR>".
				($prinfo->m_magic3>$myinfo->hars['m_magic3']?"</font>":"");
			}
			if ($prinfo->m_magic4) {
				echo ($prinfo->m_magic4>$myinfo->hars['m_magic4']?"<font color=red>":"").
				$harnames['m_magic4'].": ".$prinfo->m_magic4."<BR>".
				($prinfo->m_magic4>$myinfo->hars['m_magic4']?"</font>":"");
			}
			if ($prinfo->m_magic5) {
				echo ($prinfo->m_magic5>$myinfo->hars['m_magic5']?"<font color=red>":"").
				$harnames['m_magic5'].": ".$prinfo->m_magic5."<BR>".
				($prinfo->m_magic5>$myinfo->hars['m_magic5']?"</font>":"");
			}
			if ($prinfo->m_magic6) {
				echo ($prinfo->m_magic6>$myinfo->hars['m_magic6']?"<font color=red>":"").
				$harnames['m_magic6'].": ".$prinfo->m_magic6."<BR>".
				($prinfo->m_magic6>$myinfo->hars['m_magic6']?"</font>":"");
			}
			if ($prinfo->m_magic7) {
				echo ($prinfo->m_magic7>$myinfo->hars['m_magic7']?"<font color=red>":"").
				$harnames['m_magic7'].": ".$prinfo->m_magic7."<BR>".
				($prinfo->m_magic7>$myinfo->hars['m_magic7']?"</font>":"");
			}
			if ($prinfo->minhp) {
				echo "Уровень жизни (HP): ".$prinfo->minhp."<BR>";
			}
			if ($prinfo->minlevel) {
				echo ($prinfo->minlevel>$myinfo->level?"<font color=red>":"").
				"Уровень: ".$prinfo->minlevel."<BR>".
				($prinfo->minlevel>$myinfo->level?"</font>":"");
			}
		}
		echo"<BR>".$prinfo->opisan."\",300)'>".($n==2?'':"</A>");


}
function skills_side1() {
global $myinfo,$harnames,$vkladka,$message,$all,$showcat;
echo "
<HTML>
<link rel=stylesheet type=\"text/css\" href=\"../i/main.css\">
<meta content=\"text/html; charset=windows-1251\" http-equiv=Content-type>
<META Http-Equiv=Cache-Control Content=no-cache>
<meta http-equiv=PRAGMA content=NO-CACHE>
<META Http-Equiv=Expires Content=0>
<SCRIPT src='../i/commoninf.js'></SCRIPT>
<SCRIPT LANGUAGE=\"JavaScript\" SRC=\"../i/sl2.24.js\"></SCRIPT>

<style>
.tz		{ font-weight:bold; color: #003388; background-color: #CCCCCC; cursor:hand; text-align: center; }
.tzS		{ font-weight:bold; color: #000000; background-color: #CCCCCC; text-align: center; }
.tzOver		{ font-weight:bold; color: #003388; background-color: #C0C0C0; cursor:hand; text-align: center; }
.tzSet		{ font-weight:bold; color: #003388; background-color: #A6B1C6; cursor:default; text-align: center; }
.dtz		{ display: none }
</style>

<body leftmargin=0 topmargin=0 marginwidth=0 marginheight=0 bgcolor=e2e0e0>
<div id=\"mmoves\" style=\"background-color:#FFFFCC; visibility:hidden; z-index: 100; overflow:visible; position:absolute; border-color:#666666; border-style:solid; border-width: 1px; padding: 2px;\"></div>
<SCRIPT>
function fastshow(dsc, dx, dy) { top.fullfastshow(document, mmoves, window.event, dsc, dx, dy); }
function hideshow() { top.fullhideshow(mmoves); }
</SCRIPT>
<div id=hint4 class=ahint></div>
<SCRIPT>
function kmp(){
	document.all(\"hint4\").innerHTML = '<table width=400 cellspacing=1 cellpadding=0 bgcolor=CCC3AA><tr><td align=center><B>Запомнить набор приемов</td><td width=20 align=right valign=top style=\"cursor: hand\" onclick=\"closehint3();\"><BIG><B>x</td></tr><tr><td colspan=2>'+
	'<table width=100% cellspacing=0 cellpadding=5 bgcolor=FFF6DD><tr><form action=\"/main.php\" method=POST><td>Запомнить набор приемов, для быстрого переключения.<BR>'+
	'Введите название набора: <INPUT TYPE=text NAME=\"value\" maxlength=30><INPUT TYPE=hidden NAME=\"make_abil\" value=\"save\"></TD></TR><TR><TD align=center><INPUT TYPE=submit value=\"Запомнить\"></TD></TR></FORM></TABLE></td></tr></table>';
	document.all(\"hint4\").style.visibility = \"visible\";
	document.all(\"hint4\").style.left = 100;
	document.all(\"hint4\").style.top = 100;
	document.all(\"savekmp\").focus();
}

var clevel='';
var currentID=".$myinfo->id_person.";

function dw(s) {document.write(s);}

function highl(nm, i)
{	if (clevel == nm) { document.all(nm).className = 'tzSet' }
	else {
		if (i==1) { document.all(nm).className = 'tzOver' }
		else { document.all(nm).className = 'tz' }
	}
}
function setlevel(nm)
{
	if (clevel != '') {
		document.all(clevel).className = 'tz';
		document.all('d'+clevel).style.display = 'none';
	}
	clevel = nm || 'L1';
	document.all(clevel).className = 'tzSet';
	document.all('d'+clevel).style.display = 'inline';
}

</SCRIPT>

<TABLE width=100%>
	<TD>
	".($message?'&nbsp; &nbsp;<FONT color=red>'.$message.'</FONT><BR>':'')."
	&nbsp; &nbsp;<SCRIPT>drwfl(\"".$myinfo->name."\",".$myinfo->id_person.",\"".$myinfo->level."\",'".$myinfo->align."',\"".$myinfo->clanname."\")</SCRIPT>
	<TD valign=top align=right>
	<INPUT TYPE=button value=\"Обновить\"
	    onclick=\"location='/main.php?skills=1&rand=&lev='+clevel+'&all='+(document.F1.all.A2.checked?1:0)\">
	<INPUT TYPE=button value=\"Вернуться\" onclick=\"top.returned()\"></div>
</TABLE>


<TABLE border=0 cellspacing=0 cellpadding=0 width=100%>
<TD width=30% valign=top>
<TABLE border=0 cellspacing=1 cellpadding=0 width=100%>
<TR>
	<TD class=tzS>Характеристики персонажа</TD>
<TR><TD style='padding-left: 5'>";
foreach ($myinfo->hars[1] as $key => $value) {
echo $harnames[$key].": ".($value+0)," ";
if ($myinfo->stat_points) {echo "<A onClick=\"return confirm('Вы действительно хотите увеличить &quot;".$harnames[$key]."&quot;?')\" 
href='/main.php?&upr=".$key."&".rand(1,500000)."'><IMG SRC=../i/up.gif 
WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>";}
echo "<BR>\n";
}
echo "<BR>";
if ($myinfo->stat_points) {echo "&nbsp;Свободных статовых очков: ".$myinfo->stat_points."<BR>";}
if ($myinfo->mast_points) {echo "&nbsp;Свободных умений: ".$myinfo->mast_points."<BR>";}
if ($myinfo->osob_points) {echo "&nbsp;Свободных особенностей: ".$myinfo->osob_points."<BR>";}
echo "</FONT>
<br>
<strong><FONT COLOR=RED></FONT></strong>
</TABLE>
<TD width=1 bgcolor=#A0A0A0><SPAN></SPAN></TD>
<TD valign=top>

<TABLE border=0 cellspacing=1 cellpadding=0 width=100%>
<TR>
	<TD class=tz id=L1 width=150 onmouseover=\"highl('L1',1)\" onmouseout=\"highl('L1',0)\" onclick=\"setlevel('L1')\">Холодное Оружие</TD>
	
	<TD>
	<TD class=tz id=L2 width=150 onmouseover=\"highl('L2',1)\" onmouseout=\"highl('L2',0)\" onclick=\"setlevel('L2')\">Магия</TD>
	<TD>
	<TD class=tz id=L3 width=150 onmouseover=\"highl('L3',1)\" onmouseout=\"highl('L3',0)\" onclick=\"setlevel('L3')\">Особенности</TD>
	
	<TD>
	<TD class=tz id=L4 width=150 onmouseover=\"highl('L4',1)\" onmouseout=\"highl('L4',0)\" onclick=\"setlevel('L4')\">Приемы</TD>
	
	<TD>
	<TD class=tz id=L5 width=150 onmouseover=\"highl('L5',1)\" onmouseout=\"highl('L5',0)\" onclick=\"setlevel('L5')\">Состояние</TD>

	<TD>
	<TD class=tz id=L6 width=150 onmouseover=\"highl('L6',1)\" onmouseout=\"highl('L6',0)\" onclick=\"setlevel('L6')\">Файлы</TD>

	<TD class=tz >&nbsp</TD>
</TR>
</TABLE>
<TABLE border=0 cellspacing=1 cellpadding=0 width=100%>
<TD width=100% style='padding-left: 7'>
<div class=dtz ID=dL1>
&nbsp;
&bull; Мастерство владения мечами: ".(0+$myinfo->hars[3]['masw4']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения мечами&quot;?')\" href='/main.php?&upr=masw4&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения дубинами, булавами: ".(0+$myinfo->hars[3]['masw3']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения дубинами, булавами&quot;?')\" href='/main.php?&upr=masw3&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения магическими посохами: ".(0+$myinfo->hars[3]['masw5']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения магическими посохами&quot;?')\" href='/main.php?&upr=masw5&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения ножами, кастетами: ".(0+$myinfo->hars[3]['masw1']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения ножами, кастетами&quot;?')\" href='/main.php?&upr=masw1&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения топорами, секирами: ".(0+$myinfo->hars[3]['masw2']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения топорами, секирами&quot;?')\" href='/main.php?&upr=masw2&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>
</div>
<div class=dtz ID=dL2>
&nbsp;&bull; Мастерство владения стихией Огня: ".(0+$myinfo->hars[4]['m_magic1']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения стихией Огня&quot;?')\" href='/main.php?&upr=m_magic1&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения стихией Воды: ".(0+$myinfo->hars[4]['m_magic2']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения стихией Воды&quot;?')\" href='/main.php?&upr=m_magic2&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения стихией Воздуха: ".(0+$myinfo->hars[4]['m_magic3']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения стихией Воздуха&quot;?')\" href='/main.php?&upr=m_magic3&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения стихией Земли: ".(0+$myinfo->hars[4]['m_magic4']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения стихией Земли&quot;?')\" href='/main.php?&upr=m_magic4&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения магией Света: ".(0+$myinfo->hars[4]['m_magic5']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения магией Света&quot;?')\" href='/main.php?&upr=m_magic5&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
&bull; Мастерство владения серой магией: ".(0+$myinfo->hars[4]['m_magic6']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения серой магией&quot;?')\" href='/main.php?&upr=m_magic6&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>&nbsp;
	&bull; Мастерство владения магией Тьмы: ".(0+$myinfo->hars[4]['m_magic7']).($myinfo->mast_points?" <A onClick=\"return confirm('Вы действительно хотите увеличить &quot;Мастерство владения магией Тьмы&quot;?')\" href='/main.php?&upr=m_magic7&".rand(0,50000000)."'><IMG SRC=../i/up.gif WIDTH=11 HEIGHT=11 ALT=\"увеличить\"></A>":"")."<BR>
</div>
<div class=dtz ID=dL3>
<BR>";

if (
	($myinfo->osob_points && $myinfo->hars[5]['dec_transfer']<=4) &&
		 (($myinfo->hars[5]['dec_transfer']==4 && $myinfo->level>=8) OR ($myinfo->hars[5]['dec_transfer']<4))
	 ) {
echo "&bull; <A href='/main.php?set_special=dec_transfer".($myinfo->hars[5]['dec_transfer']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Изворотливый".($myinfo->hars[5]['dec_transfer']>0?("-".($myinfo->hars[5]['dec_transfer']+1)):"")."\\\"?\")'>Изворотливый".($myinfo->hars[5]['dec_transfer']>0?("-".($myinfo->hars[5]['dec_transfer']+1)):"")."</A><BR>
<SMALL>Снижение стоимости передач на ".specialvalue('dec_transfer',$myinfo->hars[5]['dec_transfer']+1)." кр.</SMALL><BR><BR>";
} 
if ($myinfo->osob_points && $myinfo->hars[5]['dec_travma']<=4) {
echo "&bull; <A href='/main.php?set_special=dec_travma".($myinfo->hars[5]['dec_travma']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Стойкий".($myinfo->hars[5]['dec_travma']>0?("-".($myinfo->hars[5]['dec_travma']+1)):"")."\\\"?\")'>Стойкий".($myinfo->hars[5]['dec_travma']>0?("-".($myinfo->hars[5]['dec_travma']+1)):"")."</A><BR>
<SMALL>Время травмы меньше на ".specialvalue('dec_travma',$myinfo->hars[5]['dec_travma']+1)."%.</SMALL><BR><BR>";
} 
if ($myinfo->osob_points && $myinfo->hars[5]['fast_homeworld']<=4) {
echo "&bull; <A href='/main.php?set_special=fast_homeworld".($myinfo->hars[5]['fast_homeworld']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Быстрый".($myinfo->hars[5]['fast_homeworld']>0?("-".($myinfo->hars[5]['fast_homeworld']+1)):"")."\\\"?\")'>Быстрый".($myinfo->hars[5]['fast_homeworld']>0?("-".($myinfo->hars[5]['fast_homeworld']+1)):"")."</A><BR>
<SMALL>Кнопка \"Возврат\" появляется раньше на ".specialvalue('fast_homeworld',$myinfo->hars[5]['fast_homeworld']+1)." минут</SMALL><BR><BR>";
} 
if (
	($myinfo->osob_points && $myinfo->hars[5]['inc_expr']<=4) &&
		 (($myinfo->hars[5]['inc_expr']==4 && $myinfo->level>=8) OR ($myinfo->hars[5]['inc_expr']<4))
	 ) {
echo "&bull; <A href='/main.php?set_special=inc_expr".($myinfo->hars[5]['inc_expr']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Сообразительный".($myinfo->hars[5]['inc_expr']>0?("-".($myinfo->hars[5]['inc_expr']+1)):"")."\\\"?\")'>Сообразительный".($myinfo->hars[5]['inc_expr']>0?("-".($myinfo->hars[5]['inc_expr']+1)):"")."</A><BR>
<SMALL>Получаемый опыт больше на ".specialvalue('inc_expr',$myinfo->hars[5]['inc_expr']+1)."%</SMALL><BR><BR>";
} 
if ($myinfo->osob_points && $myinfo->hars[5]['inc_friends']<=4) {
echo "&bull; <A href='/main.php?set_special=inc_friends".($myinfo->hars[5]['inc_friends']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Дружелюбный".($myinfo->hars[5]['inc_friends']>0?("-".($myinfo->hars[5]['inc_friends']+1)):"")."\\\"?\")'>Дружелюбный".($myinfo->hars[5]['inc_friends']>0?("-".($myinfo->hars[5]['inc_friends']+1)):"")."</A><BR>
<SMALL>Cписок друзей больше на ".specialvalue('inc_friends',$myinfo->hars[5]['inc_friends']+1)."</SMALL><BR><BR>";
} 
if ($myinfo->osob_points && $myinfo->hars[5]['inc_hobby']<=4) {
echo "&bull; <A href='/main.php?set_special=inc_hobby".($myinfo->hars[5]['inc_hobby']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Общительный".($myinfo->hars[5]['inc_hobby']>0?("-".($myinfo->hars[5]['inc_hobby']+1)):"")."\\\"?\")'>Общительный".($myinfo->hars[5]['inc_hobby']>0?("-".($myinfo->hars[5]['inc_hobby']+1)):"")."</A><BR>
<SMALL>Увеличение максимального размера раздела \"Увлечения / хобби\" на ".specialvalue('inc_hobby',$myinfo->hars[5]['inc_hobby']+1)." символов</SMALL><BR><BR>";
} 
if ($myinfo->osob_points && $myinfo->hars[5]['max_inventory']<=4) {
echo "&bull; <A href='/main.php?set_special=max_inventory".($myinfo->hars[5]['max_inventory']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Запасливый".($myinfo->hars[5]['max_inventory']>0?("-".($myinfo->hars[5]['max_inventory']+1)):"")."\\\"?\")'>Запасливый".($myinfo->hars[5]['max_inventory']>0?("-".($myinfo->hars[5]['max_inventory']+1)):"")."</A><BR>
<SMALL>Больше места в рюкзаке на ".specialvalue('max_inventory',$myinfo->hars[5]['max_inventory']+1)." единиц</SMALL><BR><BR>";
} 
if ($myinfo->osob_points && $myinfo->hars[5]['num_transfer']<=4) {
echo "&bull; <A href='/main.php?set_special=num_transfer".($myinfo->hars[5]['num_transfer']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Коммуникабельный".($myinfo->hars[5]['num_transfer']>0?("-".($myinfo->hars[5]['num_transfer']+1)):"")."\\\"?\")'>Коммуникабельный".($myinfo->hars[5]['num_transfer']>0?("-".($myinfo->hars[5]['num_transfer']+1)):"")."</A><BR>
<SMALL>Лимит передач в день +".specialvalue('num_transfer',$myinfo->hars[5]['num_transfer']+1)."</SMALL><BR><BR>";
} 
if (
	($myinfo->osob_points && $myinfo->hars[5]['speed_HP']<=4) &&
		 (($myinfo->hars[5]['speed_HP']==4 && $myinfo->hars[5]['vyn']>=30) OR ($myinfo->hars[5]['speed_HP']<4))
	 ) {
echo "&bull; <A href='/main.php?set_special=speed_HP".($myinfo->hars[5]['speed_HP']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Двужильный".($myinfo->hars[5]['speed_HP']>0?("-".($myinfo->hars[5]['speed_HP']+1)):"")."\\\"?\")'>Двужильный".($myinfo->hars[5]['speed_HP']>0?("-".($myinfo->hars[5]['speed_HP']+1)):"")."</A><BR>
<SMALL>Здоровье восстанавливается быстрее. +".specialvalue('speed_HP',$myinfo->hars[5]['speed_HP']+1)."%</SMALL><BR><BR>";
} 
if ($myinfo->osob_points && $myinfo->hars[5]['speed_mana']<=4) {
echo "&bull; <A href='/main.php?set_special=speed_mana".($myinfo->hars[5]['speed_mana']+1)."&sd4=1147436076&".rand(0,5000000)."' onclick='return confirm(\"Вы уверены, что хотите выбрать особенность \\\"Здравомыслящий".($myinfo->hars[5]['speed_mana']>0?("-".($myinfo->hars[5]['speed_mana']+1)):"")."\\\"?\")'>Здравомыслящий".($myinfo->hars[5]['speed_mana']>0?("-".($myinfo->hars[5]['speed_mana']+1)):"")."</A><BR>
<SMALL>Мана восстанавливается быстрее. +".specialvalue('speed_mana',$myinfo->hars[5]['speed_mana']+1)."%</SMALL><BR><BR>";
} 

echo"
<B>Выбранные особенности:</B><BR>";

$s="dec_transfer,dec_travma,fast_homeworld,inc_expr,inc_friends,inc_hobby,max_inventory,num_transfer,speed_HP,speed_mana";
$s1="Изворотливый,Стойкий,Быстрый,Сообразительный,Дружелюбный,Общительный,Запасливый,Коммуникабельный,Двужильный,Здравомыслящий";
$s=explode(",",$s);$s1=explode(",",$s1);
foreach($s as $key => $value) {
	if ($myinfo->hars[5][$value]) {
		for ($i=0;$i<$myinfo->hars[5][$value];$i++) {
			echo "&bull; ".$s1[$key].($i>0?("-".($i+1)):"")."<BR>";
		}
	}
}unset($s,$s1,$key,$value,$i);


echo"</div>
<div class=dtz ID=dL4>
<SCRIPT>
var p_name;

function redirectto (s) {
	location = s;
}

function show_div(o) {
	if (p_name) {document.all[p_name].style.display=\"none\"};
	p_name = o;
	document.all[o].style.display=\"\";
}
</SCRIPT>
<table border=0 cellspacing=0 width=\"100%\" cellpadding=0 ><tr valign=\"top\"><td valign=\"top\">
<B>Выбранные приемы:</B>
<TABLE width=195 cellpadding=0 cellspacing=0>
<TR>
</TR><TR><TD colspan=5 height=3><SPAN></SPAN></TD></TR><TR>";
for ($i=201;$i<=205;$i++) {
	echo"<TD>";
	if ($myinfo->puton[$i]) {
		printpriem($myinfo->puton[$i],$myinfo,0);
	} else {
		echo"<IMG style=\"\" width=40 height=25 src='../i/misc/icons/clear.gif'>";
	}
	echo "</TD>";
}unset($i);
echo "</TR><TR><TD colspan=5 height=3><SPAN></SPAN></TD></TR><TR>";
for ($i=206;$i<=210;$i++) {
	echo"<TD>";
	if ($myinfo->puton[$i]) {
		printpriem($myinfo->puton[$i],$myinfo,0);
	} else {
		echo"<IMG style=\"\" width=40 height=25 src='../i/misc/icons/clear.gif'>";
	}
	echo "</TD>";
}unset($i);

function print_priems($res,$myinfo) {
global $all;
$x=0;
while ($i<mysql_num_rows($res)) {
	$i++;$j++;$s=mysql_fetch_array($res);
	#if ($j>9) {$j=1;echo "</TR><TR>";}
	$priem1=new prieminfo($s['id_priem'],0);
	$check1=$priem1->check_hars($myinfo,0);
	if ((!$all && $check1) OR ($all)) {$x=1;	printpriem($priem1,$myinfo, ($s['ifa']?2:1)); }
}
return $x;
}
$nazvs1=array(1=>"hit",2=>"block",3=>"counter",4=>"krit",5=>"parry",6=>"multi",7=>"hp",8=>"blood",9=>"spirit",10=>"fire",11=>"water",12=>"air",13=>"earth",14=>"light_magic",15=>"gray_magic",16=>"dark_magic");
$nazvs2=array(1=>"Приемы атаки",2=>"Приемы защиты",3=>"Приемы контрударов",4=>"Приемы критических ударов",5=>"Приемы парирования",6=>"Комбо-приемы",7=>"Приемы крови",8=>"Приемы жертвы",9=>"Приемы силы духа",10=>"Заклинания Огня",11=>"Заклинания Воды",12=>"Заклинания Воздуха",13=>"Заклинания Земли",14=>"Заклинания магии Света",15=>"Заклинания Серой магии",16=>"Заклинания магии Тьмы");
echo "</TABLE><BR><DIV id='hidden_div_all' style='display: none'><B>Приёмы для выбора:</B>
<TABLE cellpadding=0 cellspacing=0><TR><TD>";
$res=db_use('query',"select pr.id_priem, (select p.id_thing from puton p where p.id_person='".$myinfo->id_person."' and p.id_thing=pr.id_priem) as ifa from priem pr");
print_priems($res,$myinfo);echo "</TD></TR></TABLE></DIV>";

for($i=1;$i<=16;$i++) {
if ($all OR (($i<10) OR ($i==10 && $myinfo->hars['m_magic1']>=7) OR ($i==11 && $myinfo->hars['m_magic2']>=7) OR ($i==12 && $myinfo->hars['m_magic3']>=7) OR ($i==13 && $myinfo->hars['m_magic4']>=7) OR ($i==14 && $myinfo->hars['m_magic5']>=2) OR ($i==15 && $myinfo->hars['m_magic6']>=2) OR ($i==16 && $myinfo->hars['m_magic7']>=2) )) {
	echo "<DIV id='hidden_div_".$nazvs1[$i]."' style='display: none'><SPAN><B>".$nazvs2[$i]."</B><BR></SPAN><TABLE cellpadding=0 border=0 cellspacing=0><TR><TD>";
	$res=db_use('query',"select pr.id_priem, (select p.id_thing from puton p where p.id_person='".$myinfo->id_person."' and p.id_thing=pr.id_priem) as ifa from priem pr where pr.type='".$i."';");
	$shows[$i]=print_priems($res,$myinfo);echo "</TD></TR></TABLE></DIV>";
	}
}

echo"</td><td valign=\"top\" align=right width=1>

<FIELDSET><LEGEND>Категории</LEGEND><SMALL><NOBR>
<A href=\"#\" onclick='show_div(\"hidden_div_all\"); return(false)'>Все</A><BR>";
for($i=1;$i<=16;$i++) {
if (((($i<10) OR ($i==10 && $myinfo->hars['m_magic1']>=7) OR ($i==11 && $myinfo->hars['m_magic2']>=7) OR ($i==12 && $myinfo->hars['m_magic3']>=7) OR ($i==13 && $myinfo->hars['m_magic4']>=7) OR ($i==14 && $myinfo->hars['m_magic5']>=2) OR ($i==15 && $myinfo->hars['m_magic6']>=2) OR ($i==16 && $myinfo->hars['m_magic7']>=2)) && $shows[$i]) OR ($all)) {
echo "<A href=\"#\" onclick='show_div(\"hidden_div_".$nazvs1[$i]."\"); return(false)'>".$nazvs2[$i]."</A><BR>";
}
}
echo"</FIELDSET></NOBR></SMALL>
<SCRIPT>show_div(\"".($showcat?$showcat:'hidden_div_all')."\");</SCRIPT></td><td valign=\"top\" align=\"right\">
<table cellspacing=0 cellpadding=0 align=right><tr>
<form name=F1 action=\"?\" method=\"GET\">
<input type=\"hidden\" name=\"show_abil\" value=\"1\">
<input type=\"hidden\" name=\"rnd\" value=\"".rand(1,5000000)."\">
<td>
<FIELDSET><LEGEND>Показывать приёмы</LEGEND>

&nbsp;<INPUT TYPE=radio ID=A1 NAME=all value=0 ".($all?'':'checked ')."onclick=\"form.submit()\"> <LABEL FOR=A1>доступные мне</LABEL><BR>
&nbsp;<INPUT TYPE=radio ID=A2 NAME=all value=1 ".($all?'checked ':'')."onclick=\"form.submit()\"> <LABEL FOR=A2>все</LABEL>

</FIELDSET>
<BR>
<a href=\"/main.php?clear_abil=all&".rand(1,5000000)."\">Очистить</a><br>
<a href=\"javascript:kmp()\">Запомнить набор</a><br>
<p style=\"MARGIN-LEFT: 10px;\" align=\"left\"><small>  ";

	$res=db_use('query',"select * from complect where id_person='".$myinfo->id_person."' and type=2 order by number;");
	unset ($i);
    while ($i<mysql_num_rows($res)) {
      $i++;$s=mysql_fetch_array($res);
      echo "<img src=\"../i/clear.gif\" width=\"13\" height=\"13\" alt=\"Удалить набор\"
	   onclick=\"if (confirm('Удалить набор ".$s['name']."?')) {location='main.php?make_abil=del&value=".$s['id_complect']."&".rand(0,50000000)."'}\" style=\"cursor:hand\"> 
	   <a href=\"/main.php?make_abil=set&value=".$s['id_complect']."&".rand(0,50000000)."\">Использовать \"".$s['name']."\"</a><br>";
     }unset($i);


echo "</small></p>

</td>
</form>
</tr></table>

</td><td>&nbsp;</td>
</tr></table>

<BR><BR><BR><BR>
</div>
<div class=dtz ID=dL5>
<SMALL>

</SMALL>




<B>Усиления:</B><BR>
<DIV style='padding-left: 10'>";
$naz=array('','Чудовищная Сила','Стальное Тело','Скорость Молнии','Разум','Сила Мудрости','Предчувствие','','','','','','');
	#Чудовищная Сила
	if ($myinfo->hars[1]['sil']>=100) {$b[1]=true;$a[1]['mur']=25;}
	elseif ($myinfo->hars[1]['sil']>=75) {$b[1]=true;$a[1]['mur']=17;}
	elseif ($myinfo->hars[1]['sil']>=50) {$b[1]=true;$a[1]['mur']=10;}
	elseif ($myinfo->hars[1]['sil']>=25) {$b[1]=true;$a[1]['mur']=5;}
	#Стальное Тело
	if ($myinfo->hars[1]['vyn']>=100) {$b[2]=true;$a[2]['hp']=250;}
	elseif ($myinfo->hars[1]['vyn']>=75) {$b[2]=true;$a[2]['hp']=175;}
	elseif ($myinfo->hars[1]['vyn']>=50) {$b[2]=true;$a[2]['hp']=100;}
	elseif ($myinfo->hars[1]['vyn']>=25) {$b[2]=true;$a[2]['hp']=50;}
	#Скорость Молнии
	if ($myinfo->hars[1]['lov']>=100) {$b[3]=true;$a[3]['par']=15;$a[3]['prkr']=30;$a[3]['uv']=70;}
	elseif ($myinfo->hars[1]['lov']>=75) {$b[3]=true;$a[3]['par']=15;$a[3]['prkr']=15;$a[3]['uv']=35;}
	elseif ($myinfo->hars[1]['lov']>=50) {$b[3]=true;$a[3]['par']=5;$a[3]['prkr']=15;$a[3]['uv']=35;}
	elseif ($myinfo->hars[1]['lov']>=25) {$b[3]=true;$a[3]['par']=5;}
	#Разум
	if ($myinfo->hars[1]['intel']>=100) {$b[4]=true;$a[4]['mms']=25;}
	elseif ($myinfo->hars[1]['intel']>=75) {$b[4]=true;$a[4]['mms']=17;}
	elseif ($myinfo->hars[1]['intel']>=50) {$b[4]=true;$a[4]['mms']=10;}
	elseif ($myinfo->hars[1]['intel']>=25) {$b[4]=true;$a[4]['mms']=5;}
	#Сила Мудрости
	if ($myinfo->hars[1]['mudr']>=100) {$b[5]=true;$a[5]['decmana']=12;}
	elseif ($myinfo->hars[1]['mudr']>=75) {$b[5]=true;$a[5]['decmana']=8;}
	elseif ($myinfo->hars[1]['mudr']>=50) {$b[5]=true;$a[5]['decmana']=5;}
	elseif ($myinfo->hars[1]['mudr']>=25) {$b[5]=true;$a[5]['decmana']=2;}
	#Предчувствие
	if ($myinfo->hars[1]['intu']>=100) {$b[6]=true;$a[6]['mkr']=12;$a[6]['kr']=70;$a[6]['pruv']=30;}
	elseif ($myinfo->hars[1]['intu']>=75) {$b[6]=true;$a[6]['mkr']=8;$a[6]['kr']=35;$a[6]['pruv']=15;}
	elseif ($myinfo->hars[1]['intu']>=50) {$b[6]=true;$a[6]['mkr']=10;$a[6]['kr']=35;$a[6]['pruv']=15;}
	elseif ($myinfo->hars[1]['intu']>=25) {$b[6]=true;$a[6]['mkr']=10;}

$harnames=getharnames();
for ($i=1;$i<6;$i++) {
	if ($b[$i]) {
		echo '<B>'.$naz[$i].'</B><BR>';
		foreach ($a[$i] as $key => $value) {
			if ($value!=0) { echo '&bull; '.$harnames[$key].': '.($value>0?'+':'-').$value.'<BR>';}
		}
		echo '<BR>';
	}
}	
	$res=db_use('query',"select o.*,th.name from obkast o 
	left join thing_har th on th.id_thing2=o.id_thing2 
	where o.har<>'magic_timeout' and o.id_person = '".$myinfo->id_person."' and o.obend>'".time()."' order by id_thing2");
	unset($i);while ($i<mysql_num_rows($res)) {
		$i++;$s=mysql_fetch_array($res);
			if ($s['id_thing2']!=$th) {
				$th=$s['id_thing2'];
				echo '<B>'.$s['name'].'</B><BR>';
			}
			echo '&bull; '.$harnames[$s['har']].': '.($s['value']>0?'+':'-').$s['value'].' (еще '.intval(($s['obend']-time())/60).' мин)<BR>';
	}
	unset($harnames);

echo "

</DIV>

</div>
<div class=dtz ID=dL6>
<SMALL>

</SMALL>




<B>Файлы:</B><BR>
<DIV style='padding-left: 10'>";
if ($myinfo->level>=4) {
include_once('functions.php');
$dir_store='uploads';
if ($_REQUEST['files']) {
	if ($_REQUEST['file']) {
		$res=db_use('array',"select * from pers_files where id_file='".$_REQUEST['file']."'");
		if ($res['id_person']!=$myinfo->id_person) { $mess='Файл не ваш'; }	else{
			if ($_REQUEST['flchangefix']) {
				db_use('query',"update pers_files set hidd='".($_REQUEST['hidd']=='on'?1:0)."',
				coment='".addslashes($_REQUEST['coment'])."' where id_file='".$_REQUEST['file']."'"); 
				$mess='Изменения сохранены';
			}elseif ($_REQUEST['fldel']) {
				@unlink($dir_store."/".$res['id_person'].'/'.$res['filename'].'.dwnl');
				db_use('query',"delete from pers_files where id_file='".$_REQUEST['file']."'"); 
				$mess='Файл удален';
			}
		}
	}elseif ($_REQUEST['flupload']) {
		// Загрузка файлов на сервер
		// Если register_globals=Off

   if (!eregi("777",decoct(fileperms($dir_store))))	{
		echo"<br><br><b><h4><font color=\"FF0000\">ERROR: cannot access the upload store file directory. please chmod the \"$dir_store\" directory with value 0777 (xrw-xrw-xrw)!</h4></font></b><br>»<a href=\"$_SERVER[PHP_SELF]\">refresh</a>";
	}else{ 
	   if(isset($_FILES["myfile"]) ) {// Если upload файла
        $myfile = $_FILES["myfile"]["tmp_name"];
        $myfile_name = $_FILES["myfile"]["name"];
        $myfile_size = $_FILES["myfile"]["size"];
        $myfile_type = $_FILES["myfile"]["type"];
        $error_flag = $_FILES["myfile"]["error"];
        // Если ошибок не было
        if($error_flag == 0) {
			#$mimes=('image/x-png','image/gif','image/pjpeg','');
			$file_ext_allow = array("gif","jpg","jpeg","png","txt","nfo","doc","rtf","htm","dmg","zip","rar","gz","exe");
		$error_ext=true;
		for($i=0;$i<count($file_ext_allow);$i++){
			if (strtolower(getlast($myfile_name))==$file_ext_allow[$i]) {	$error_ext=false;break;		}
		}
		if (false) {#$error_ext) {
			$mess='Расширение файла не разрешено';
		}else{
			$filestore='/var/www/vhosts/antibk.org/httpdocs/'.$dir_store.'/'.$myinfo->id_person.'/'.$myfile_name.'.dwnl';
			echo "m<br />";
			mkdir('/var/www/vhosts/antibk.org/httpdocs/'.$dir_store.'/'.$myinfo->id_person);
			if (file_exists($filestore)) {
				$mess='Файл с таким именем уже загружен. Выберите другой файл';
			}elseif (copy($myfile,$filestore)){
				
#			print("Имя файла на нашем сервере (во время запроса): ".$myfile."<br>");
 #           print("Имя файла на компьютере пользователя: ".$myfile_name."<br>");
  #          print("MIME-тип файла: ".$myfile_type."<br>");
   #        	print("Размер файла: ".$myfile_size."<br><br>");
            // Получаем содержимое файла
            $fp = fopen($myfile,"r");
            $fp2 = fopen($filestore,"w");
            fwrite($fp2, fread($fp, filesize($myfile)));
            fclose($fp,$fp2);
            // Вывод содержимого файла
            $mess='Файл успешно загружен на сервер';
			db_use('query',"insert into pers_files (id_person,filename,type,uptime,size,hidd,coment) values ('".$myinfo->id_person."','".$myfile_name."','1','".time()."','".$myfile_size."','1','".addslashes($_REQUEST['coment'])."');");
			}else{
			#@copy ( "compress.zlib://". $myfile, $filestore );
				$mess='Ошибка загрузки файла...';
			}#/exist
		}#/extension
        } elseif ($error_flag==1) { $mess='Ошибка: размер загруженного файла превышает размер установленный на сервере';
		}elseif($error_flag==2) { $mess='Ошибка: размер загруженного файла превышает размер установленный в форме загрузки';
		}elseif($error_flag==3) { $mess='Ошибка: загружена только часть файла';
		}elseif($error_flag==4) { $mess='Ошибка: указан неверный путь к файлу';}
	}
	}#/777
	}#/req
}
echo ($mess?"<font color=red>".$mess."</font><br /><br />":'');
	$res=db_use('query',"select * from pers_files where id_person='".$myinfo->id_person."' order by uptime desc");
	echo "<table border=0><tr><td><td valign=top align=left>Дата<td valign=top align=left>Имя файла<br />комментарий<td valign=top align=center>(размер)<td valign=top align=center>скрыть из инфы<td></td></tr>";
	unset($i);while ($i<mysql_num_rows($res)) {
		$i++;$s=mysql_fetch_array($res);
			if ($_REQUEST['file']==$s['id_file'] && $_REQUEST['flchange']) {
				echo '<tr>
				<td><form action=main.php?files=1&file='.$s['id_file'].' method=post>
				<td valign=top align=left><font class=sysdate>'.date('d.m',$s['uptime']).'</font>
				<td valign=top align=left>'.$s['filename'].'<br /><input type=text name=coment maxlength=200 value="'.htmlspecialchars($s['coment']).'">
				<td valign=top align=center>('.size($s['size']).')
				<td valign=top align=center><input type=checkbox name=hidd '.($s['hidd']?'checked':'').'>
				<td valign=top align=center><input type=submit name=flchangefix value="Сохранить"><input type=submit name=flcancel value="Отмена"><td></form></tr>';
			}else{
				echo '<tr>
				<td><form action=main.php?files=1&file='.$s['id_file'].' method=post>
				<td valign=top align=left><font class=sysdate>'.date('d.m',$s['uptime']).'</font>
				<td valign=top align=left>'.$s['filename'].'<br /><font style="background-color:#F3F0D9;"><small>'.$s['coment'].'</small></font>
				<td valign=top align=center>('.size($s['size']).')
				<td valign=top align=center>'.($s['hidd']?'<font style="background-color:#f3d9e6;">Скрыт</font>':'<font style="background-color:white">Открыт</font>').'
				<td valign=top align=center><input type=submit name=flchange value="Изменить"><input type=submit name=fldel value="Удалить"><td><a href=main.php?download=1&file='.$s['id_file'].'>Скачать</a><td></form></tr>';
			}
	}
echo '<br /><FORM ENCTYPE="multipart/form-data" ACTION="main.php?files=1" METHOD=POST>
<INPUT TYPE="hidden" name="MAX_FILE_SIZE" value="'.(1000000*(($myinfo->level)*2)).'">
Выберете файл: (макс размер '.size((1000000*(($myinfo->level)*2))).') <INPUT NAME="myfile" TYPE="file">
Комментарий: <INPUT NAME="coment" TYPE="text">
<INPUT TYPE="submit" name="flupload" VALUE="Загрузить">
</FORM>';

}else{
echo "Хранение собственных файлов доступно с 4 уровня :) <br />";
}#/myinfo
echo "

</DIV>

</div>
<SCRIPT>
setlevel('".$vkladka."');
</SCRIPT>
</TABLE>
</TABLE>

";
}
?>